# ValueSourceSpec

interface ValueSourceSpec<P : ValueSourceParameters?>

Base configuration for value source definitions.

#### Since

6.1

#### Parameters

<P>

The value source specific parameter type.

#### See also

ProviderFactory

## Functions

getParameters
Link copied to clipboard
abstract fun getParameters(): P
The parameters for the value source.
parameters
Link copied to clipboard
abstract fun parameters(action: Action<in P>)
Configure the parameters for the value source.